To do:
=======

  - add Formdesigner back with more Features:
      * Objects in Dialogs
      * Sizers
      * Events
      * Object-Properties
      * must run in Linux
  - overwork 'Convert to HTML'


Know'n Problems
===============

 - wxEditor is untested on Linux and Mac
 - folding is incompletely
 - charsets and codepages are untested
 - page preview does not display the real printed pages??


Version History:
================

V4.3.1 (03/17/24)
  - fixed: window tiling enabling in view menu
  - fixed: memory problem
  - fixed: missing last character in class help
  - fixed: bug when reloading functions, if the file is not yet saved
  - fixed: bug in language dialog
  - fixed: bug in get members
  - changed: update toolbars by hand, disable it in updateui event


V4.3 (11/14/23)
  - added: "cancel window splitting" menu item
  - added: option to show classes from embedded files
  - added: option to load embedded files when a file is activated
  - added: view folders back to folders menu
  - added: open/close folders from level in folder menu
  - added: open/close next folder in folder menu
  - added: colour themes menu: light, green, blue, dark, default or own
  - added: reset editor colours to default (theme default)
  - added: menuitem to reset lexer colours to default in lexer menu
  - added: hint in editor window, if jumpto has no target
  - added: show all search results at once
  - added: escape to clear founded searchwords
  - added: reload file icon
  - added: if a file is executed more than once, the pids are shown in the statusbar
           stop all programs over the stop button
  - added: new menuitem to show errors directly in the editor window as annotiation
         middle mouse click or run the file to close the annotiation
  - changed: use english language now as the default language
         so non german user can also write a translation
  - changed: lexer files in the list section
            you must use the new files!
  - changed: little things in ini structure
            please delete the old ini file at first
  - changed: find replace - replace all in background for max speed
  - changed: display of the founded text
  - changed: options menu now use listbook
  - changed: new and larger icons
  - changed: jumpto search in an internal list for the jump string now,
            so you must reload the file functions list after adding a new one (over menu or F2)
  - changed: view hidden lines can now handle multiple entrys
  - changed: faster binding
  - changed: faster processing of a selection, use a buffer now
  - changed: hidden lines are saved only, if no folder view is selected
  - removed: note in the case of missing information when a command is to be inserted from the control center
  - fixed: SaveAs is always activated now
  - fixed: error with spaces in filename and other
  - deactivate macros
    the lParam write a random value when running, although it has just been recorded
    it may be that the value will miss to be reinterpreted, but I don't know how to do that in wxb
    see the answer "https://www.autohotkey.com/board/topic/36100-scintilla-and-sendmessage/" for scintilla


V4.2.1 (02/25/22)
  - added: replace german umlauts during internal bind
  - added: read and save printer settings
  - added: read and save scale setting
  - added: view folders menuitem in folders menu
  - added: reload file in file toolbar, this requires a reorganization of the toolbar.
  - changed: wxWebview as internal HTML Viewer
  - changed: keyboard shortcuts for better compatibility with other programs
  - changed: show all search results, press escape to remove the the indicators
  - some improvements and bug fixes
  - update reference file to wxbasic 3.0.5.50


V4.2 (01/05/20)
  - now use classes to handle some functions
  - remove unnecessary or false commands in reference file
  - remove dsmPlayer Toolbar
  - added: change editor default font in "Options" - "Fonts" dialog
  - added: "--t" parameter in lexer options,
    start the program with a stopwatch, get the running time after end process
  - added: alias names in reference file such as colour/color or center/centre
  - added: update code structure when saving a file
  - added: add own classes to the autocompletion list, need reload the reference file
  - added: option to show members from all parent classes in members list of a class
  - added: add classes from included files to the autocompletion list
  - added: jump to a function or include file while holding the ctrl key and click the left mouse button on the function
  - added: autocomplete also for closed commands, e.g. when writing "try" an "end try" is inserted in the next line
  - changed: better search for classes for the class info calltip
  - changed: Insert ASCII now use wxSymbolPickerDialog
  - changed: "Replace Icon" in run menu not compress the executable automatically
  - changed: use indicators for errors, search results and brace highlight
  - changed: up to 250% zoom in view menu
  - changed: bind 32 or 64 bit variants, the interpreter must have the name wxbasic32.exe or wxbasic64.exe in MSW
  - changed: update lexer files
  - changed: update upx.exe
  - fixed: close file preview bug
  - fixed: bug in drag notebook tabs
  - fixed: show calltip and brace handling in classes
  - fixed: bug in file history
  - fixed: bug in goto error


V4.1.9
  - added: internal bind console version wxbc.exe
  - added: page setup and print preview
  - added: tab for new file
  - added: parents of classes in reference file
    parent classes are wrapped from the source file class.i in {}, if avaible
  - changed: internal bind now use the activated file directory or the working directory, set in the lexer configuration
    to search for the interpreter
  - changed: findClass function
    the function distinguishes between declarations inside and outside subs/functions
    this is more exact, but it don't handle declarations, which are declared global but set in another routine
    it is a little bit slower, but more exact
  - update class help, if the mouse cursor stay over a class/member
  - update internal commands
  - decompress interpreter, if it is already compressed
  - fixed: bug in font size while loading from lexer file 
  - changed: use wxLog for log window mostly
  - changed: ini file: loadLastSession option now load last positions of all files
  - other improvements


V4.1.8
  - fixed: bug in replace icon, if wxbasic.exe is not in project directory
  - fixed: view popup menu
  - fixed: marker colours after file saveas
  - fixed: bug in goto error while starting
  - fixed: goto bookmark, if lines are hidden
  - added: double quotation mark
  - added: save hidden lines
  

V4.1.7 (03/16/16)
  - fixed: other memory bug
  - fixed: start from commandline
  - fixed: show calltips

V4.1.6 (02/27/16)
  - fixed: memory bug
  - fixed: bug in execute temporary file

V4.1.5 (02/06/16)
  - fixed: bug in calltips
  - fixed: memory issue in some subs

V4.1.4 (01/15/16)
  - fixed: bug in empty files
  - fixed: lexer handling
  - fixed: upx don't compress icons anymore
  - added: python lexer
  - update reference file
  - remove class help from help menu,
    new class help as calltip
    leave the mouse 2 seconds over a class/member and a calltip is shown
    click of this calltip open the wxWidgets help
    note:
    the class help routine is is not perfect. it scans the code for finding the declarations.
    especially with tables or lists this routine can't find the correctly declarations always.
  - add icons to the popup menu
  - overworking some routines

V4.1.3 (12/07/14)
  - added: close tab question
  - fixed: close file
  - fixed: move file to project folder


V4.1.2 (08/04/14)
  - fixed: error on changing lexer fonts
  - fixed: file structure is not displayed correctly 
  - fixed: other little errors

V4.1.1 (07/15/14)
  - fixed: wxEditor crashed on changing colours

V4.1.0 (06/30/14)
  - update to wxBasic 2.08.12.37
  - update wxBasic referencefile
  - fixed: use first error line from error file only
  - fixed: error in bookmarks
  - fixed: autocorrect mismach
  - added: save the file before internal bind
  - added: open a file by dragging
  - added: hide comments
  - added: set codepage - default is system default
  - added: set charset - default is UTF8
  - added: set log window colour
  - added: set font colours for control center and log window
  - added: "Backup now" menuitem
  - added: set autofocus in editor window and control center
  - added: macro handling
  - added: more lexers
  - added: dsmPlayer, a simple audio player :)
  - added: show/hide toolbars and change the style
  - remove: create own toolbars
  - remove: sort bookmarks by creating
  - replace option: "load last file" with "load last session"
  - changed: split the old one toolbar in different toolbars
  - changed: use wxFileHistory instead of my own routine
  - changed: use upx for compressing again, it can handle 64 bit files now
  - changed: lexer structure for better compatibility to scintilla lexers
  - fix other errors
  

V4.0.7 (02/21/13)
  - fixed: critical bug while saving configuration file
  - change: better killing hanged programs
  - new messages for processes
  - new messages for compressing interpreter
  - wxEditor is now packed again with mpress
    mpress can't decompress files so you can extract the interpreter,
    but it's not possible to changethe icon in this
    if you want to do this, you must download the original interpreter from wxbasic.net

V4.0.6 (12/17/12)
  - new lexer options menu in lexer menu
  - separate the commands for each lexer in an extra toolbar, handled over the lexer options menu
  - change internal routines for storing the commands from the referencefile
  - new referencefile, update to wxBasic version 2.08.12.34
  - replace Reshacker with ReshackerFX to avoid problems in Windows 8 
  - remove upx, because upx can't handle 64 bit files correctly
  - wxEditor comes now uncompressed, because the interpreter can't uncompress to change the icon
  - added: new menuitem to compress interpreter with MPress after changing the icon, can't decompress !
  - added: new option for loading the referencefile in options menu
  - added: run a new file temporarly without saving
  - added: simple print routine
  - fixed: bug in insert classes from control center
  - other little changes
  - 64 bit version

V4.0.5 (12/02/11)
  - fixed: bug on bind include files
  - fixed: view structure correctly in control center
  - added: stop button in toolbar
  - better member viewing for topclasses
  - new about dialog with wxAboutBox
  - update upx to version 3.08
  - simple file preview in file explorer as calltip
  - other little changes

V4.0.4 (09/09/11)
  - fix some bugs, 1 critical
  - other little changes

V4.0.3 (05/05/11)
  - fix some bugs
  - added: ResourceHacker and upx to resource directory
  - update referencefile to the new wxbasic version
  - use wxbasic version 2.08.12.30
  - change german 'umlauts'

V4.0.2 (01/24/11)
  - fixed: bug in backup routine
  - fixed: bug in add to project
  - fixed: bug in internal bind
  - update resourcefile
  - update internal bind
  - update statusbar
  - comletly use wxAUIFramework
  - added: user define toolbars
  - added: Class Help Menuitem in the Help Menu
  - added: stop program menuitem
  - move lexer options to lexer menu

V4.0.1 (06/21/09)
  - added: portable menuitem
  - fixed: search routine
  - add back: change interpreter Icon

V4.0 (05/15/09)
  - new project handling, add a project file, which now includes filenames 
  - new Buttonbar handling
  - new Notebook, use wxAuiNotebook
  - new Menubar, use wxAuiMenubar, includes Icons from xpm files
  - new Lexer handling, each Lexer have a separate file
  - new ini file handling, use wxFileConfig
  - new language handling, use wxLocale
  - added: wxTaskbarIcon, minimize program to tray
  - added: Split Tabs horizontally or vertically (unsplit with Drag'n Drop)
  - added: Uninstall wxEditor
  - change: internal bind now includes other files
  - change: run file now use wxProcess
  - change: insert classes from the control center
  - optimize file search routine
  - remove unneeded messages
  - split and sort code
  - other bugfixes

V3.9 beta1 (05/01/2008)
  - clear code blocks
  - added: simple deinstall
  - added: view HTML with default browser
  - added: replace interpreter Icon
  - added: sort bookmarks in created order
  - fixed: referencefile
  - change: leave undo buffer after file save
  - change/fixed: view find dialog
  - fix some other bugs

V3.8 beta4 (03/03/2008)
  - fix some bugs
  - now use the real Toolbar instead of the self painted in Ralfs version

V3.8 beta3 (02/15/2008)
  - fix some bugs
  - add a version for Ralf Peters wxBasic interpreter

V3.8 beta2 (01/15/2008)
  - fix some bugs
  - added: referencefile for Ralf Peters wxBasic version
  - change: referencefile compatibility

V3.8 beta1 (10/21/2007)
  - added: setup search words in the control center for each Lexer
  - added: Euphoria Keywords
  - added: Collections in control centre
  - change: numbers of buttons in the control center depending on declared searchwords
  - fixed: bug in file history
  - fixed: bug in user define buttons
  - change: autoinsert space
  - change: autocorrecture
  - change and fixed: insert classes from the control centre

V3.7 beta4 (08/01/2007)
  - fixed: bug in autocorrecture if position=0

V3.7 beta3 (07/30/2007)
  - fixed: bug in file rename
  - change: search for classes now forewards for autocorrecture

V3.7 beta2 (06/25/2007)
  - fixed: bug at creating new wxBasic Reference
  - fixed: bug in autocorrection

V3.7 beta1 (03/26/2007)
  - fixed: error in close files again
  - remove: formdesigner (now standalone)
  - remove: builtin for recreation wxb reference file (now standalone)
  - remove: autoinsert end of fuctions
  - remove: file compare
  - fixed: some internal bugs
  - optimize some code blocks
  - overwork: calltips and userlists
  - overwork: now realtime autocorrection
  - change: bookmark handling
  - change: show/hide control centre
  - change: internal binding: extract interpreter only, if it is not present
  - change: button in toolbar to enable/disable auto inserting spaces and autocorrecture
  - change: limit the log window to 1000 lines
  - change: separate pointers from styles in control centre
  - added: AutoCompletion in Programming Menu (unsorted List)

V3.6 beta3 (08/10/2006)
  - fixed: ID Mismach in Projects Menu
  - fixed: Error in close Files
  - added: 'handle' keyword

V3.6 beta2
  - fixed: Bug in changing Colours and Fonts for the Lexers
  - fixed: Bug in adding Styles in Control Centre
  - fixed: Bug in Easyjump
  - Change code to working with the actual wxBacic Release 
  - added: File Explorer in Control Centre and Popupmenu for Files

V 3.6 beta1 (11/26/2005)
  - fixed: Bug in building Functions (Control-Centre)
  - fixed: Bug while connecting wxEditor with extensions
  - added: Autohide for Control-Centre and Log-Window, Right Click on the Notebook to activate
  - fixed: Bug in Autoindent (Line Ending)
  - Change: Bookmark handling
  - Change: Bind use now internal wxBasic Version
  - Change: Setup up to 6 Commands for each Lexer in the Options Menu
  - Change: more Functions in Toolbar
  - Change: Toolbar Bitmap can now set in the Options-Menu (up to 32x32 Pixel)
  - Change: User define Buttons use now second Toolbar
  - added: Convert Lineending to CRLF
  - added: Indent/Unindent
  - added: Swap Comments/Uncomment the selected Lines
  - added: comment-Char for each Lexer is set in the File 'Lexer.syn'
  - Remove: read Declarations
  - Change: reading Subs/Functions
  - added: Show Fullscreen (F11)
  - added: Doubleclick on a Notebook Tab close the File
  - fixed: Bug in Resizing Log-Window

V 3.5 beta2 (11/09/2005)
  - fixed: Bug in User definied Buttons
  - fixed: Calltips show now only the main-Function
  - fixed: 'Run' can now handle Pathnames with spaces

V 3.5 beta1 (10/23/2005)
  - added: 'save Bookmarks' will now load all Files at start, wich have a Bookmark
  - added: Log Window - the most Messages are redirected to this Window
  - added: Options for saving the Messages in a Log-File
  - Rename: 'wxBasic.syn' to 'wxBasic.ref' (Referencefile)
  - added: Classes and Members to the Referencefilefile, wich can only used in Microsoft Windows
  - added: Option for searching Files in Subdirectories
  - fixed: 'Remove Project' remove now the completely Directory
  - fixed: Bug in Auto Insert End of Functions
  - added: Change Lexer Fonts for the current Lexer, remove change Fonts in the Options Menu
  - added: wxBasic Keywords, Constants, Identifier and Options in the Control Centre
  - Change reading Declarations
  - fixed: save splitterSizes
  - fixed: Button-Sizes in Control-Centre
  - completly rewrote Code to autoinsert Spaces
  - added: Undo for AutoInsertSpaces
  - added: Get the used wxBasic-Version in the Help-Menu
  - added: Goto last Position in File while starting wxEditor
  - fixed: Bug in File Rename
  - added: Working Directory for user definied Buttons
  - added: Backup-Handling in Options-Menu
  - added: Run in Trace-Mode
  - added: Autocorrecture for Subs, Functions and Classes
  - added: Calltips for Subs, Functions and Classes
  - added: Full Path as Calltip for the active File in Editor/Notebook
  - added: Support for other programming Languages in Control-Center and Rename
         "wxBasic" in Options-Menu to "Programming"
  - Change: Builtin Functions are now directly under 'Builtins' in Command-Centre
  - added: Example Freebasic-ReferenceFile
  - Formdesigner:
    * new Outfit
    * added: Popup-Menu with right Mousebutton
    * added: Parent-Handling for wxPanel, wxWindow, wxSplitterWindow, wxSashWindow
  - Change: 'File Delete' -Icon to 'Select All' Icon and
  - Change: 'View Linenumbers' -Icon to 'Open/Close' Folders-Icon
  - added: Folder Handling
  - Change: speeding up Bind-Routine
  and other

V 3.4 beta4 (03/12/2005)
  - fixed: Bug while creating 'wxBasix.syn'  
  - fixed: load the Subs/Functions handling
  - fixed: Bug in AutoInsertSpace
  - new Lexer Handling, Lexers are saved in an external File
  - added: Message, if you want to execute a non wxBasic-File (only .wxb)
  - Recreate the Language-Files, so the User can write new one

V 3.4 beta3 (02/11/2005)
  - fixed: Bug at saving Files 
  - fixed: Bug during closing a File
  - fixed: Bug in AutoInsertSpace

V 3.4 beta2 (02/07/2005)
  - fixed: Bug at creating a new ini-File
  - fixed: Bug in Bookmarks-Dialog
  - fixed: Bug in loading the File 'wxBasic.syn'
         Now you must first create a new 'wxBasic.syn'. It's necessary for your Language.
  - added: Highlight Internet- and Email-Adress in HTML-Converter

V 3.4 beta1 (02/03/2005)
  - completly rewrote the code for insert Functions from the List
    * move Constructors to the superior Class
    * add Classes, wich you cannot use - only for Info
    * fixed some Bugs
    and other
  - added: create the File 'wxBasic.syn' from the 'class.i' and 'builtin.c' 
  - added: Menuitem to Rebuild the File 'wxBasic.syn'
  - added: HTML-Window to Formdesigner
  - Add back: File Info
  - Add back: Autocorrecture in 'Run'-Menu
  - added: Convert to HTML in 'Run'-Menu
  - added: HTML-Preview in 'View'-Menu
  - added: Description to the Help-Menu
  - fixed: Error with Spaces in Autocorrecture
  - fixed: Error in Userlist-Show
  - fixed: Insert Space during Mouse Click

V 3.3 beta6 (01/03/2005)
  - fixed: Bug in 'AutoInsertFunctions'
  - fixed: Bug in Auto Insert Spaces
  - added: Insert Members from the Members-List
  - added: Highlighting Calltips
  and others

V 3.3 beta5 (12/13/2004)
  - fixed: Bug in Error-Line handling
  - fixed: Bug at opening include-Files
  - Overwork most Routines
  - new Functions-Builder
  - new MenuBar
  - Set up to 10 Bookmarks
  - Don't delete ini-File at using a new Version
  - Use now Splitter Window for Tiling the Screen
  - added: Form Designer

V 3.2b beta (04/29/2004)
  - Change Command-Line Options back (for better Handling from the Command-Line)
    -f View Functions-Builder
    -p View Project Window
    -m no Fullscreen
  - fixed: starting Editor if a File is connectet with him
         You can now connect any Filetypes with wxEditor.
  - fixed: Insert Spaces

V 3.2a beta (04/21/2004)
  - fixed: Conflict with Search and User-Buttons
  - fixed: Bind Routine

V 3.2 beta (04/01/2004)
  - fixed: Return Message, if no Marker set
  - fixed: Bug in View and Insert a Connection
  - fixed: Bug in View Style from wxTextCtrl
  - fixed: Bug in 'Marker Delete All'
  - fixed: Bug in 'Delete Textblock'
  - fixed: Bug in Options-Menu
  - fixed: Show only Builtin-Functions in the Help-Menu, wich are declared
  - fixed: Bug in File History
  - fixed: Bug in File Compare
  - added: Open Console Window
  - added: Project-Menu
  - added: Rename a File
  - added: Change Backup Path
  - added: Change Backup-Files Counter
  - added: View ASCII-Keycodes from wxBasic in Help-Menu
  - added: Insert ASCII-Value in Edit-Menu (only printable Chars)
  - added: Resizable Windows
  - added: Add/Remove/Change Extensions in File Open Dialog and set the
         Default Extension
  - added: Easy Jump to Functions
  - added: Show dedicated Brace
  - added: Open all Include-Files and Add it to the Functions-List
  - added: User-List for Members
  - added: Show CallTips for Functions and Insert these
  - added: Deactivate automatical reaload Functions (by clicking on a Tab)
  - added: Reload Functions-List manually with the 'F2'-Key
  - added: AutoCorrection in the Run-Menu
  - added: AutoCorrection during write Code (only Case and Braces)
  - added: Auto Insert End of Functions
  - added: Auto Insert Spaces
  - added: Show Tips at Start
  - added: Extract 'wxbasic.exe' from wxEditor
  - added: %e as Placeholder for the wxEditor-Path in User definied Buttons
  - Remove: Change Window Site of Functions-Builder and Project Window
  - Overwork: loading Functions in Functions-Builder
  - Overwork: Options-Dialog
  - Overwork: Save Text Block
  - Overwork: Command-Line Options
        rename -f to -m for Fullscreen/Maximize
        -f Hide the Functions-Builder
        -p Hide the Project Window
        -t and -c removed
  - Overwork: File Compare - View Changes in two Windows

V 3.1 beta (12/10/2003)
  - fixed: Error in 'Make Block' -Menuitem
  - fixed: Bug in 'Replace in Selection'- Routine
  - added: Multilanguage Support
  - added: Command-Line Options
         File
         -b      View Functions-Builder
         -f      Fullscreen Mode
         -t      View Tabs/Spaces
         -zZoom  Set Zoom
         -lLanguage    Set Language
         -c      View Line Breaks
  - Overwork: Run and Compile Routine
  - Replace: Functions-Combo with separate Functions-Window
  - added: Icons for Bookmarks in Toolbar
  - added: Support for Classes in wxb2, php or c
  - added: Separators between Subs/Functions
  - added: AutoIndent
  - added: Change Paths in Options-Menu
  - added: Goto Bookmark in Toolbar
  - added: Convert ANSII to ASCII and reverse
  - added: Builtin Bind-Routine
  - added: Compare the actual File with another
  - added: 'Hide Lines' in Edit Menu for more then one Block
  - Overworking wxEditor, it runs now in wxb2

V 3.0 beta2
  - fixed: Default Font in Editor
  - fixed: wxBasic Path may not have a Space in the Foldername
  - Change: Clear Selection Menu, it is now much faster and more than one
      Selections are possible
  - Edit Menu: added: 'Make Block' to make Text as Textblock

V 3.0 beta (09/05/03)
  - Change: reading and form of the ini-File
  - Rename 'wxIde' to 'wxEditor'
  - added: Save 'Tab as Space' in ini-File
  - added: Save Window-Size in ini-File
  - added: Doubleclick in the Stylebox insert the selected Style directly in the Text
  - Rename: 'GUI-Builder' to 'Functions Builder'
  - fixed: Error at creating Function-Builder Dialog (Combobox and Text)
  - Change: Options- and View- Menu:
  added: Set specific Font for each Style and Control
  added: Set Colours for Styles and Controls
  added: Set Line Indentation
  added: Set Number of Files (0...9) in History
  added: 'Save Options'
  added: Functions-Buider Top or Bottom
  added: Change Functions-Builder Tab Top/Bottom
  added: Change Editor Tab Top/Bottom
  added: Change Lexer and Keywords for some programming Languages
  added: Escape Exit Editor
  added: Select Querys
  Move: View Full Functions from Help-Menu to Functions-Builder
  Remove: 'ReRead Sub-List'
  - Change: Functions-Builder:
  The Size and Position is now passed
  added: Insert openGL-Functions to the Functions-Builder
  added: HTTP-Functions to Functions-Builder
  Functions are subdivided into four groups and one Group for Functions-Details
  fixed: View renamed Sub-Functions
  added: Insert Connections
  added: View Functions, which has no Constructor
  added: View Functions, which are not supported
  added: Shift-Ctrl-Character jump to the Character in the Functions-List
  - Change: Reload File reset only the File in the Editor, the Position will be hold
  - Change: Goto Bookmark set the Cursor on the Bookmark
  - Remove: Checkboxes for wxMenu and wxMenuItem in Functions-Builder
  - added: Change File in Editor-Notebook reads new the Functions-List
  - Change: Cut/Copy/Paste are deactivated, if no action possible
  - 'Replace' works now with a Selection
  - added: select Font in Functions-Builder, if the Function needs a Font
  - added: Number of Functions, Subs and Connections in Fileinfo
  - Change Toolbar: -Delete Buttons in Toolbar without reloading wxEditor
  - Edit Buttons
  - Add placeholders for Buttons definition
  - Change: User definied Buttons are now saved in the ini-File
  - Change: Statusbar- the middle Field will display the Tab-Width, current Line and Position
  - added: Search Menu: 'Find in Selection' and 'Replace in Selection'
  - added: select Font in Functions-Builder, if the Function needs a Font
  - added: Edit-Menu: 'Clear Selection': 'Line Breaks'
  - Remove: Edit-Menu: 'Clear Selection': 'All'
  - added: Wildcards in File-Open Dialog
  - added: File-Info- Sub's, Functions and Connections

V 2.2 beta (06/29/03)
  - fixed: Run GUI-Builder on older PC (I hope)
  - fixed: 'Comment as Code' from the Edit-Menu ignores now non-comment-Lines
  - fixed: reading Sub at the first start (not always)
  - fixed: Update Functions for the actually File after closing another
  - fixed: The needed Files for the GUI-Builder are searched in the wxBasic-Directory and in the
         Ide-Directory
  - Change: GUI-Builder Lookout
  - added: Insert Sub-Function's from the GUI-Builder
  - added: Insert Builtin-Functions
  - added: Edit saved Blocks directly in the List

V 2.1 beta (05/30/03)
  - fixed: Try open an already opened File and close the other later
  - added: Show BuiltIn-Functions in Help-Menu
  Read the Name and short description from the 'builtin.c'
  - added: Show all declared Functions in Help-Menu
  - added: Block Menu
  Save Block: save a marked Block into an separated File
  Manage Blocks: Insert to current position or delete saved Blocks
  - added: Function/GUI-Builder

V 2.0 beta (04/02/03)
  - fixed: "Save File as" Dialog then saving a untitled File
  - fixed: Clear Sub/Functions-List after closing last File
  - fixed: File printing: Char Height is now set correctly
  - fixed: Error in the search Routine
  - added: File printing: print with the selected Font
  - added: File printing: print in Zoom Mode
  - added: Add up to 7 user definied Buttons to the Toolbar by right Click on it
  - Remove: Tools Menu (replaced by the user definied Buttons)
  - Pressing OK in the Bookmark Info will go to the selected Bookmark
  - "Reread Sublist" can now calling over F4 keystroke

  File Menu
  - added: Close All
  - added: Reload File
  - added: File Info

  Edit Menu
  - added: Goto Position
  - added: Insert Time
  - added: Lines as Comment
  - added: Comment as Code
  - added: Convert Tabs into Spaces
  - added: Convert Spaces into Tabs (not always set correctly)
  - added: Convert EOLs
  - added: Convert Selection to upper/lower case
  - added: Clear Selection: * Spaces left/right
        * empty Lines
        * Comment Lines only
        * all Comments
        * All of them

  added: View Menu
  - added: Show Line Numbers
  - added: Set Marker as Line Marker
  - added: Hide/View Selection
  - Move here: Zoom
  - Move here: View Highlighted Line
  - Move here: View EOL
  - Move here: View Tabs/Spaces

  Options Menu
  - Remove: Set wxBasicPath - at the first start or if no wxBasic.exe found, a Filedialog
      will be open.
  - Remove: Set MenuBuilerPath (repleced by the user definied Buttons)
  - added: Backup: This Option will add the Ending .bak to the Filename without replacing
           the existing Ending (nice for Files with the same Name but another Ending)
         * when save/run the File
         * every ... minutes
  - added: Change ErrMarker Colour
         Change Bookmarks Colour
         Change CaretLine Colour
         Change Text Colour
         Change Comments Colour
         Change Numbers Colour
         Change Keywords Colour
         Change Quote Colour
  - added: Show FilePath in Notebook Tab

V 1.1 beta (03/03/03)
  - fixed: File closing/saving problem
  - fixed: Call Error handling and speeding up
  - fixed: File Printing - Page count is now set correctly
  - Rename to wxIDE1.1 and wxIde.ini

  added: Bookmark Menu
  - Info
  - Delete all Bookmarks
  - Set Bookmark 1...4
  - Goto Bookmark 1...4

  Options Menu
  - added: Change Font
  - added: Change Zoom
  - added: View Tabs and Spaces
  - added: Set Tab as Space
  - added: Set Line wrapping
  - added: Reset Font to default

V 1.0 (02/19/03)
  - Then you execute a program the file is saved automatically.
  - Saved, if the program is used in fullscreen mode.

  Add to the Program:
  - Icon-Toolbar for easy handling
  - Read Sub's and Functions in a Combobox for easy jumping (interesting for larger Files)
  - wxNotebook for opening more Files
  - Options Menu
  - Tools Menu
  - Write an ini-File for save Options
  - You can now save projects in its own directory.

  File Menu:
  - added: File Close
  - added: Delete active File
  - added: Print File
  - added: File History for 4 Files

  Edit Menu:
  - added: Undo
  - added: Redo
  - added: Goto Line
  - added: Goto Marker
  - added: Insert File, for Example a Menufile
  - added: Insert Date
  - added: Select All

  Run Menu:
  - added: Compile und Run

  added: Options Menu
  - Save Path to wxbasic.exe (incl. shroud.wx and bind.wx)
  - Save Path to the Menubuilder (can be an .exe or an wxBasic File)
  - Change Tab-Width
  - Set highlighted Line
  - View EOL
  - Load last File at the start
  - Reread Sub-List

  added: Tools Menu
  - Run Menumaker
